<?xml version='1.0' encoding='UTF-8'?>

<Properties version="4.1">
	<Property name="ErrorSuppression" type="Boolean">false</Property>
	<Property name="IsModuleTemplate" type="Boolean">false</Property>
	<Property name="xslt.base64Zipped">true</Property>
	<Property name="xslt.ignoreInput">true</Property>
	<Property name="xslt.params" type="List">
		<Property name="var.session">var.session</Property>
		<Property name="var.userId">var.userId</Property>
		<Property name="var.anonymousUserId">var.anonymousUserId</Property>
	</Property>
	<Property name="xslt.saveAtServer">false</Property>
	<Property name="xslt.setAllVariablesAsTransformerParams">true</Property>
	<Property name="xslt.source"></Property>
	<Property name="xslt.sourceVariables" type="Map">
		<Property name="var.userId">abacab</Property>
	</Property>
	<Property name="xslt.stylesheet" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:am="http://www.bosch-si.com/2013/AM" exclude-result-prefixes="#all" version="2.0">&lt;xsl:import href="inubitmodule://VAM_api_XSLT_Tools"/>
  &lt;xsl:output method="xml" encoding="UTF-8"/>&lt;xsl:param name="var.session" as="element()"/>&lt;xsl:param name="var.userId"/>&lt;xsl:param name="var.anonymousUserId"/>
  &lt;xsl:template match="/">&lt;xsl:if test="$var.userId = ''">&lt;xsl:sequence select="error((), 'User-ID nicht gesetzt.')"/>&lt;/xsl:if>&lt;queries>&lt;query properties="force" queryID="old">
        &lt;value>&lt;xsl:text>select u.id,
u.loginName&lt;/xsl:text>&lt;xsl:text>
from users u

where u.id = &lt;/xsl:text>&lt;xsl:value-of select="am:stringToDB($var.userId)"/>&lt;/value>
      &lt;/query>&lt;query properties="force" queryID="new">
        &lt;value>&lt;xsl:text>select u.id,
u.loginName&lt;/xsl:text>&lt;xsl:text>
from users u

where u.id &lt;/xsl:text>&lt;xsl:choose>&lt;xsl:when test="$var.anonymousUserId != ''">=&lt;xsl:value-of select="am:stringToDB($var.anonymousUserId)"/>&lt;/xsl:when>&lt;xsl:otherwise> like 'anonymous%'&lt;/xsl:otherwise>&lt;/xsl:choose>&lt;/value>
      &lt;/query>&lt;/queries>
  &lt;/xsl:template>
&lt;/xsl:stylesheet></Property>
	<Property name="xslt.target"></Property>
	<Property name="xslt.transformer">net.sf.saxon.TransformerFactoryImpl</Property>
	<Property name="xslt_mode">NEW</Property>
</Properties>